using System;
using System.Collections.Generic;
using System.Text;

namespace TopCoder.Web.Distance
{
    /// <summary>
    /// This enumeration contains the basic distances between users.
    /// </summary>
    [Flags]
    public enum DistanceTypes
    {      
        /// <summary>
        /// The number of competitions shared between members.  Lower
        /// overlap indicates more distance.
        /// </summary>
        Overlap = 0x01,
        /// <summary>
        /// The geographical distance between members.  Larger geographical
        /// distances indicates larger distance between two members.
        /// </summary>
        Country = 0x02,
        /// <summary>
        /// The absolute mathematical distance between two members. 
        /// </summary>
        Rating = 0x04
    }
}
