using System;
using System.Collections.Generic;
using System.Text;

namespace TopCoder.Web.Distance
{
    /// <summary>
    /// This is the simplest generation interface required for the component.  The component
    /// will generate the XML data required to feed a user interface to render the distances.
    /// </summary>
    public interface IDistanceGenerator
    {
        /// <summary>
        ///  Generates a distance XML as specified by the required XSD.
        /// The coder_id requested must be the first element in the XML,
        /// following elements need not be ordered.
        /// </summary>
        /// <param name="coder_id">The coder to generate distances from.</param>
        /// <param name="distanceType">The distances requested to generate.</param>
        /// <param name="compType">The competition types to generate.</param>
        /// <returns>An XML document conforming to the component XSD, containing first
	    /// the coder requested, followed by related coders with calculated distances.</returns>
        String GenerateDistanceXml(long coderId, DistanceTypes distanceType, CompetitionTypes compType);
    }
}
